Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1687563 - cloud-init 18.5 rebase for fast provisioning on Azure [RHEL 8]
Summary: cloud-init 18.5 rebase for fast provisioning on Azure [RHEL 8]
Keywords:
Status: ON_QA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: cloud-init
Version: ---
Hardware: Unspecified
OS: Linux
unspecified
high
Target Milestone: rc
: 8.0
Assignee: Eduardo Otubo
QA Contact: yuxisun@redhat.com
URL:
Whiteboard:
Depends On:
Blocks: 1687565 1691985
TreeView+ depends on / blocked
 
Reported: 2019-03-11 18:15 UTC by Rick Barry
Modified: 2019-04-11 08:19 UTC (History)
7 users (show)

Fixed In Version: cloud-init-18.5-1.el8_0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1687565 1691985 (view as bug list)
Environment:
Last Closed:
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)

Description Rick Barry 2019-03-11 18:15:34 UTC
Rebase cloud-init to 18.5 for RHEL 8.0.1 (AppStream) to pick up several commits needed to support Fast Provisioning for Microsoft Azure.

Comment 6 Rick Barry 2019-04-09 16:14:33 UTC
Copying additional commits requested from RHEL 7.7 bug:

--- Comment #10 from Dan <danis@microsoft.com> ---
Hi Eduardo, Rick - updating bug.
As mentioned, there were some issues with the package, we have approved commits
upstream, can you add these two fixes to the 18.5 package you prepared please?

Is there any chance you can get this back to us on Monday, so we test and
report back?

https://github.com/cloud-init/cloud-init/commit/0dc3a77f41f4544e4cb5a41637af7693410d4cdf
Azure: Ensure platform random_seed is always serializable as JSON.
Enables persisting Azure datasource (ds) data in the obj.pkl “pickled” config
in the instance directory

https://github.com/cloud-init/cloud-init/commit/528366820bb48c13957d0c58afc2a46a3ba84bef
Azure: Treat _unset network configuration as if it were absent
Make the Azure datasource correctly handle the unpickled ds data when the
network_config was
deliberately cleared before the config was persisted

Thanks,


Note You need to log in before you can comment on or make changes to this bug.